# class Random::PCG32

- Random::PCG32
- Reference
- Object

## Overview

pcg32_random_r:

      -  result:      32-bit unsigned int (uint32_t)
      -  period:      2^64   (* 2^63 streams)
      -  state type:  pcg32_random_t (16 bytes)
      -  output func: XSH-RR

## Included Modules

- Random

## Defined in:

## Constant Summary

PCG_DEFAULT_MULTIPLIER_64 = `6364136223846793005_u64`

## Constructors

- .new(initstate : UInt64, initseq = 0_u64)
- .new

## Instance Method Summary

- #jump(delta)
- #new_seed(initstate : UInt64, initseq = 0_u64)
- #new_seed
- #next_u

### Instance methods inherited from module `Random`

base64(n : Int = 16) : String base64, hex(n : Int = 16) : String hex, next_bool : Bool next_bool, next_float : Float64 next_float, next_int : Int32 next_int, next_u : UInt next_u, rand(max : Int) : Int
rand(max : Float) : Float64
rand(range : Range(Int, Int)) : Int
rand(range : Range(Float, Float)) : Float
rand : Float64 rand, random_bytes(n : Int = 16) : Bytes
random_bytes(buf : Bytes) : Nil random_bytes, urlsafe_base64(n : Int = 16, padding = false) : String urlsafe_base64

### Constructor methods inherited from module `Random`

new(seed, sequence = 0_u64)
new new

### Class methods inherited from module `Random`

rand(x)
rand : Float64 rand

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO)
inspect inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s
to_s(io : IO) to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(initstate : UInt64, initseq = 0_u64) #
def self.new #

## Instance Method Detail

def jump(delta) #
def new_seed(initstate : UInt64, initseq = 0_u64) #
def new_seed #
def next_u #